Bug 144551 - krita 1.5.2 can't save images as bmp
Summary: krita 1.5.2 can't save images as bmp
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 1.5.2
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-23 05:59 UTC by Elián Hanisch
Modified: 2007-12-07 12:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elián Hanisch 2007-04-23 05:59:26 UTC
Version:           1.5.2 (using KDE KDE 3.5.5)
Installed from:    Ubuntu Packages
OS:                Linux

I can open .bmp images with Krita, but when I want to save any image as .bmp the option isn't available, I can save as jpg, png, gif, etc but there's no bmp option
Let me say that this isn't like I try to save as bmp and I get an error message, is just that in the save dialog I don't have any bmp option in the list box, which does exist in the open dialog.

I find this weird and I couldn't find any information about this so I don't know if this is a bug, if something is messed up on my pc, or if this is the way it should be.

I'm using kubuntu edgy with the spanish locale by the way
Comment 1 Cyrille Berger 2007-04-23 08:32:51 UTC
Hi,
Bmp export was removed in Krita 1.5. The reason is that there is at least two formats behind bmp, and that the library used by Krita for file export was using the less used, which was causing some confusion. And as bmp is a dead format, no effort was put in supporting better.
Comment 2 Elián Hanisch 2007-04-24 01:12:21 UTC
thank you for clearing that up.
Comment 3 Halla Rempt 2007-12-07 12:24:15 UTC
SVN commit 745943 by rempt:

Add stupid simple bmp export filter.
BUG:144551


 A             bmp (directory)  
 A             bmp/CMakeLists.txt  
 A             bmp/kis_bmp_export.cpp   [License: GPL (v2+)]
 A             bmp/kis_bmp_export.h   [License: GPL (v2+)]
 A             bmp/krita_bmp.desktop  
 A             bmp/krita_bmp_export.desktop  


WebSVN link: http://websvn.kde.org/?view=rev&revision=745943